<?php
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";




if(isset($_GET['id'])){
  $_SESSION["beteiligte_bearbeiten_id"] = $_GET['id'];
}
$id = $_SESSION["beteiligte_bearbeiten_id"];

$result_vorh = $db->query("SELECT count(*) Anz 
                              FROM imt_vorschlag a
                             WHERE vid=$id
                               AND vid IN (SELECT vid FROM imt_beteiligte WHERE imtuid ='$uid')
                               AND 1 = (SELECT CASE 1 WHEN (SELECT count(*)
                                                              FROM imt_verlauf d
                                                             WHERE d.vid=a.vid
                                                               AND d.status IN ('7', '8')
                                                               GROUP BY vid
                                                            )>0
                                                      THEN '0'
                                                      ELSE '1'
                                                      END
                                                      # Man darf den Fall solange sehen, bis er abgeschlossen ist, also entweder mit Status 7 oder 8
                                       )
                          ");
$row_vorh = $result_vorh->fetch_array();

if($row_vorh[Anz] == 0){
  $smarty->assign('beteiligte_bearbeiten_err', "1");
}else{
  $smarty->assign('beteiligte_bearbeiten_err', "0");
  $smarty->assign('beteiligte_bearbeiten_id', "$id");
}


$smarty->display("$template/$templatename");
?>